% eda06_01
% cosine wave

clear all;

% set up time
N=100;
Dt=1;
tmin=0.0;
tmax = tmin+Dt*(N-1);
t = tmin + Dt*[0:N-1]';

t0 = 10.0;
T = 50;
C= 2.0;
d = C*cos( 2*pi*(t-t0)/T );

figure(1);
clf;
set(gca,'LineWidth',2);
hold on;
axis( [tmin, tmax, -3, 3] );
plot(t, d, 'k-', 'LineWidth', 2);
plot([tmin, tmax]', [0, 0]', 'k-', 'LineWidth', 2);
xlabel('time, t');
ylabel('d(t)');
title('cosine example');


